Bug 133808 - Duplicate warning messages with 'gcc4 -Wall'
Duplicate warning messages with 'gcc4 -Wall'
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: gcc4 (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-27 13:15 EDT by Valdis Kletnieks
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-03 18:53:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Sample program - compile with 'gcc4 -c -Wall' (78 bytes, text/plain)
2004-09-27 13:17 EDT, Valdis Kletnieks
no flags Details

  None (edit)
Description Valdis Kletnieks 2004-09-27 13:15:31 EDT
Description of problem:
Unused variable generate two warnings (one set in reverse order, no less)


Version-Release number of selected component (if applicable):
gcc4-4.0.0-0.2


How reproducible:
Compile the sample program with 'gcc4 -c -Wall'

Steps to Reproduce:
1.
2.
3.
  
Actual results:
Two sets of warning messages, one in reverse order

Expected results:
One set, as gcc 3.4.2 produces

Additional info:
Comment 1 Valdis Kletnieks 2004-09-27 13:17:03 EDT
Created attachment 104383 [details]
Sample program - compile with 'gcc4 -c -Wall'
Comment 2 Jakub Jelinek 2004-10-03 18:53:40 EDT
Moved upstream:
http://gcc.gnu.org/bugzilla/show_bug.cgi?id=17820

Note You need to log in before you can comment on or make changes to this bug.